Get organization profile
GET/organizations/{organization_id}/profile
Get an organizations profile if it exists. (Currently in Closed Beta - see https://developers.cloudflare.com/fundamentals/organizations/)
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Get organization profile
curl https://api.cloudflare.com/client/v4/organizations/$ORGANIZATION_ID/profile \
-H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
-H "X-Auth-Key: $CLOUDFLARE_API_KEY"{
"errors": [],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"business_address": "business_address",
"business_email": "business_email",
"business_name": "business_name",
"business_phone": "business_phone",
"external_metadata": "external_metadata"
},
"success": true
}Returns Examples
{
"errors": [],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"business_address": "business_address",
"business_email": "business_email",
"business_name": "business_name",
"business_phone": "business_phone",
"external_metadata": "external_metadata"
},
"success": true
}